<?php

namespace JUM\PaymentProviders\XF\Repository;

class Payment extends XFCP_Payment
{
	/**
	 * @param null $cutOff
	 * @return int
	 */
	public function prunePaymentLogs($cutOff = null)
	{
		$logLength = $this->options()->jum_paymentProvidersLogLength;
		$logNoPayment = $this->options()->jum_paymentProvidersLogNoPayment;
		$logType = 'payment';

		if ($cutOff === null)
		{
			if (!$logLength)
			{
				return 0;
			}

			$cutOff = \XF::$time - 86400 * $logLength;
		}

		if (!$logNoPayment)
		{
			return $this->db()->delete('xf_payment_provider_log', 'log_date < ?', $cutOff);
		}
		else
		{
			return $this->db()->delete('xf_payment_provider_log', 'log_date < ? AND log_type != ?', [$cutOff, $logType]);
		}
	}
}